# Interface MemoryBlockOptions

interface MemoryBlockOptions {
onAllocate?: (id: string, byteLength: number) => void;
onOutOfMemory?: (id: string, requested: number, available: number) => void;
}

##### Index

### Properties

onAllocate?
onOutOfMemory?

## Properties

### `Optional` onAllocate

onAllocate?: (id: string, byteLength: number) => void

### `Optional` onOutOfMemory

onOutOfMemory?: (id: string, requested: number, available: number) => void